<?php
function classic_widgets_init() {
	register_sidebar( array(
		'name' 			=> __( 'Post Sidebar', 'templatesquare' ),
		'id' 			=> 'post-sidebar',
		'description' 	=> __( 'Located at the right side of archives, single and search.', 'templatesquare' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s"><div class="sidebox">',
		'after_widget' 	=> '</div></li>',
		'before_title' 	=> '<h2 class="widget-title">',
		'after_title' 	=> '</h2>',
	));
	
	register_sidebar(array(
		'name'          => 'Page Sidebar',
		'id'         	=> 'page-sidebar',
		'description'   => __( 'Located at the right side of page templates.', 'templatesquare' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s"><div class="sidebox">',
		'after_widget' 	=> '</div></li>',
		'before_title' 	=> '<h2 class="widget-title">',
		'after_title' 	=> '</h2>',
	));
}
/** Register sidebars by running classic_widgets_init() on the widgets_init hook. */
add_action( 'widgets_init', 'classic_widgets_init' );
?>