<?php
/**
 * Template Name: News
 *
 * A custom page template for news page.
 *
 * The "Template Name:" bit above allows this to be selectable
 * from a dropdown menu on the edit page screen.
 *
 * @package WordPress
 * @subpackage Classic Theme
 * @since Classic Theme 1.0
 */

get_header(); ?>

		<div id="content_left">
			<div id="navigation">
					<?php include_once(TEMPLATEPATH . '/menu.php'); ?>						
			</div><!-- end navigation -->
			<div id="sidebar">	<?php get_sidebar(); ?></div>	
		</div><!-- end content left -->
		<div id="content_right">
			<div id="maincontent">
			<div id="maintext">
			
				<div id="content">
				
				<?php 
				if(!is_front_page()){
					include_once (TEMPLATEPATH . '/title.php');
				}
				?>				
				
				<?php if ( function_exists('yoast_breadcrumb')) {
				yoast_breadcrumb('<div id="breadcrumbs">','</div>');
					} 
				?>

						<?php $values = get_post_custom_values("category-include"); $cat=$values[0];  ?>
						<?php $strinclude = $cat;?>
						<?php $catinclude = 'category_name=' . $strinclude ;?>
						<?php query_posts('&' . $catinclude .' &paged='.$paged. '&showposts=5'); ?>
						
		<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
		
		
		<?php
			$custom = get_post_custom($post->ID);
			$cf_thumb = $custom["thumb"][0];
			
			if($cf_thumb!=""){
				$cf_thumb = "<img src='" . $cf_thumb . "' alt='' width='72' height='72' />";
			}
		?>
			
            	<div class="box-news">
                    <?php if($cf_thumb!=""){ echo $cf_thumb; }else{ the_post_thumbnail( );} ?>
					<div class="news-txt">
                    <h2><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'templatesquare' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
                    <span class="postdate"><?php  the_time('l, F j, Y') ?></span>
					<p><?php $excerpt = get_the_excerpt(); echo ts_string_limit_words($excerpt,20);?></p>
					</div>               	
                </div><!-- end box-news-->

			<?php endwhile; ?>
			
			
		<?php if (  $wp_query->max_num_pages > 1 ) : ?>
	
		<?php if(function_exists('wp_pagenavi')) { ?>
				 <?php wp_pagenavi(); ?>
		<?php }else{ ?>
				<div id="nav-below" class="navigation nav2">
					<div class="nav-previous"><?php next_posts_link( __( '<span class="prev"><span class="meta-nav">&laquo;</span> Prev</span>', 'templatesquare' ) ); ?></div>
					<div class="nav-next"><?php previous_posts_link( __( '<span class="prev">Next <span class="meta-nav">&raquo;</span></span>', 'templatesquare' ) ); ?></div>
				</div><!-- #nav-below -->
		<?php }?>
		<?php endif; ?>
		
				<?php wp_reset_query();?>		
		</div><!-- end content -->
						</div><!-- end maintext -->
					</div><!-- end maincontent -->
				</div><!-- end content right -->
				<div class="clr"></div><!-- clear float left -->
<?php get_footer(); ?>
