<?php
/**
 * The template for displaying Search Results pages.
 *
 * @package WordPress
 * @subpackage Classic Theme
 * @since Classic Theme 1.0
 */

get_header(); ?>

		<div id="content_left">
			<div id="navigation">
					<?php include_once(TEMPLATEPATH . '/menu.php'); ?>						
			</div><!-- end navigation -->
			<div id="sidebar">	<?php get_sidebar(); ?></div>	
		</div><!-- end content left -->
		<div id="content_right">
			<div id="maincontent">
			<div id="maintext">
				<div id="content">
			
<h1 class="pagetitle"><?php printf( __( 'Search Results for: %s', 'templatesquare' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
			
		<?php if ( function_exists('yoast_breadcrumb') ) {
			yoast_breadcrumb('<div id="breadcrumbs">','</div>');
		} ?>


<?php if ( have_posts() ) : ?>
				<?php
				/* Run the loop for the search to output the results.
				 * If you want to overload this in a child theme then include a file
				 * called loop-search.php and that will be used instead.
				 */
				 get_template_part( 'loop', 'search' );
				?>
<?php else : ?>
				<div id="post-0" class="post no-results not-found">
					<h2 class="entry-title"><?php _e( 'Nothing Found', 'templatesquare' ); ?></h2>
					<div class="entry-content">
						<p><?php _e( 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'templatesquare' ); ?></p>
						<?php get_search_form(); ?>
					</div><!-- .entry-content -->
				</div><!-- #post-0 -->
<?php endif; ?>
		</div><!-- end content -->
						</div><!-- end maintext -->
					</div><!-- end maincontent -->
				</div><!-- end content right -->
				<div class="clr"></div><!-- clear float left -->

<?php get_footer(); ?>
