<?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage Classic Theme
 * @since Classic Theme 1.0
 */

get_header(); ?>
<?php
	/* Queue the first post, that way we know
	 * what date we're dealing with (if that is the case).
	 *
	 * We reset this later so we can run the loop
	 * properly with a call to rewind_posts().
	 */
	if ( have_posts() )
		the_post();
		
	$check_ID = get_the_ID();
	$check_pt =  get_post_type( get_the_ID() );
	rewind_posts();
?>


		<div id="content_left">
			<div id="navigation">
					<?php include_once(TEMPLATEPATH . '/menu.php'); ?>						
			</div><!-- end navigation -->
			<div id="sidebar">	<?php get_sidebar(); ?></div>	
		</div><!-- end content left -->
		<div id="content_right">
			<div id="maincontent">
			<div id="maintext">
				<div id="content">
				<div class="header-title">
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	<?php $check_pt =  get_post_type( get_the_ID() );?>
		<h1 class="pagetitle">
		<?php
		if($check_pt == 'portfolio' ){
			echo the_terms( get_the_ID(), 'portfoliocat', '', ', ');
		}else{
			$category = get_the_category(); 
			echo $category[0]->cat_name;
		}
		?>
		</h1>

	<?php endwhile; endif; wp_reset_query();?>
				</div>
<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>

				
				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<div class="entry_blog">
					<h2 class="entry-title"><?php the_title(); ?></h2>

			<div class="entry-meta">
			
			<span class="author"><?php _e('by', 'templatesquare');?> <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) );?>"> <?php the_author();?></a> </span> 
			</div><!-- entry-meta -->
				
					<div class="entry-content">
						<?php the_content(); ?>
						<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'templatesquare' ), 'after' => '</div>' ) ); ?>
					</div><!-- .entry-content -->
			</div><!-- entry_blog -->
							<div class="date">
							<div class="date_box">
								<div class="day"><?php the_time('l') ?></div>
								<div class="datetime">
									<div class="dt"><?php the_time('d') ?> </div>
									<div class="my">
										<span class="month"><?php the_time('F') ?></span>
										<span class="year"><?php the_time('Y') ?></span>
									</div>
									<div class="clr"></div>
								</div>
								<div class="comment"><?php comments_popup_link(__('No Comments ', 'templatesquare'), __('1 Comment ', 'templatesquare'), __('% Comments ', 'templatesquare')); ?></div>
							</div>
							</div>
							<div class="clr"></div>


<?php if($check_pt != 'portfolio' ): ?>
<?php if ( get_the_author_meta( 'description' ) ) : // If a user has filled out their description, show a bio on their entries  ?>
					<div id="entry-author-info">
						<div id="author-avatar">
							<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'ts_author_bio_avatar_size', 60 ) ); ?>
						</div><!-- #author-avatar -->
						<div id="author-description">
							<h2><?php printf( esc_attr__( 'About %s', 'templatesquare' ), get_the_author() ); ?></h2>
							<?php the_author_meta( 'description' ); ?>
							<div id="author-link">
								<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>">
									<?php printf( __( 'View all posts by %s <span class="meta-nav">&rarr;</span>', 'templatesquare' ), get_the_author() ); ?>
								</a>
							</div><!-- #author-link	-->
						</div><!-- #author-description -->
					</div><!-- #entry-author-info -->

<?php endif; ?>
<?php endif; ?>

					<div class="entry-utility">
						<?php ts_posted_in(); ?>
						<?php edit_post_link( __( 'Edit', 'templatesquare' ), '<span class="edit-link">', '</span>' ); ?>
					</div><!-- .entry-utility -->
				</div><!-- #post-## -->

				<?php comments_template( '', true ); ?>

<?php endwhile; // end of the loop. ?>


		</div><!-- end content -->
						</div><!-- end maintext -->
					</div><!-- end maincontent -->
				</div><!-- end content right -->
				<div class="clr"></div><!-- clear float left -->


<?php get_footer(); ?>
