<?php
/**
 * The template for displaying Archive pages.
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Brightster
 * @since Brightster 1.0
 */

get_header(); ?>

		<div id="content_left">
			<div id="navigation">
					<?php include_once(TEMPLATEPATH . '/menu.php'); ?>						
			</div><!-- end navigation -->
			<div id="sidebar">	<?php get_sidebar(); ?></div>	
		</div><!-- end content left -->
		<div id="content_right">
			<div id="maincontent">
			<div id="maintext">
	<div id="content">
		<?php if (have_posts()) : the_post(); ?>
	
			<?php if ( is_day() ) : ?>
			<h1 class="pagetitle"><?php printf( __( 'Daily Archives: <span>%s</span>', 'templatesquare' ), get_the_date() ); ?></h1>
			<?php elseif ( is_month() ) : ?>
			<h1 class="pagetitle"><?php printf( __( 'Monthly Archives: <span>%s</span>', 'templatesquare' ), get_the_date('F Y') ); ?></h1>
			<?php elseif ( is_year() ) : ?>
			<h1 class="pagetitle"><?php printf( __( 'Yearly Archives: <span>%s</span>', 'templatesquare' ), get_the_date('Y') ); ?></h1>
			<?php else : ?>
			<h1 class="pagetitle"><?php printf( __( '%s', 'templatesquare' ), '<span>' . single_cat_title( '', false ) . '</span>' ); ?></h1>
			<?php endif; ?>
			
		<?php endif; ?>
		<?php wp_reset_query();?>
		
			<?php if ( function_exists('yoast_breadcrumb') ) {
				yoast_breadcrumb('<div id="breadcrumbs">','</div>');
			} ?>
	
		<?php
			/* Since we called the_post() above, we need to
			 * rewind the loop back to the beginning that way
			 * we can run the loop properly, in full.
			 */
			rewind_posts();
		
			/* Run the loop for the archives page to output the posts.
			 * If you want to overload this in a child theme then include a file
			 * called loop-archives.php and that will be used instead.
			 */
			get_template_part( 'loop', 'archive' );
		?>
		
		</div><!-- end content -->
						</div><!-- end maintext -->
					</div><!-- end maincontent -->
				</div><!-- end content right -->
				<div class="clr"></div><!-- clear float left -->


<!-- end #main -->

<?php get_footer(); ?>
