				<?php if ( function_exists( 'wp_nav_menu' ) ) {?>
					<?php 
						wp_nav_menu( array(
							'container'       => 'ul', 
							'menu_class'      => 'menu', 
							'menu_id'         => 'nav',
							'depth'           => 0,
							'theme_location' => 'mainmenu',
							'walker' => new description_walker())
						);
					  ?>
										  
				<?php } else {?>
<ul id="menu" class="collapsible">
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
  <?php $cPageID = get_the_ID();?>
  <?php $parentID = get_root_parent( $cPageID ); if ($parentID) $cPageID = $parentID; ?> 
  <?php endwhile; endif; wp_reset_query();?>
  
  <?php	 $my_query = new WP_Query('post_type=page&meta_key=menu&meta_value=yes&showposts=100&orderby=menu_order&order=asc'); ?>
	<?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
			<?php 
					$pages = get_pages();
					$page_children = get_page_children(get_the_ID(), $pages); 
					
			?>
	<li class="<?php if(get_the_ID()==$cPageID) {echo 'current_page_item expand';} ?>"><a href="<?php if(!empty($page_children)){ echo "#"; }else{ the_permalink();} ?>"><?php the_title(); ?><span class="descmenu"><?php $values = get_post_custom_values("menu-details"); echo string_limit_words($values[0], 25);?></span></a>			
			<?php
				if (!empty($page_children)) {
					$children = wp_list_pages("title_li=&child_of=". get_the_ID() ."&echo=0&sort_column=menu_order&depth=");
			?>				
					<ul class="acitem">
						<?php echo $children; ?>
					</ul>
			<?php } ?>
	</li>
	<?php endwhile; ?>
	<?php wp_reset_query();?>
</ul>

<?php } ?>