<?php
/**
 * Template Name: Blog
 *
 * A custom page template for blog page.
 *
 * The "Template Name:" bit above allows this to be selectable
 * from a dropdown menu on the edit page screen.
 *
 * @package WordPress
 * @subpackage Classic Theme
 * @since Classic Theme 1.0
 */

get_header(); ?>
		<div id="content_left">
			<div id="navigation">
					<?php include_once(TEMPLATEPATH . '/menu.php'); ?>						
			</div><!-- end navigation -->
			<div id="sidebar">	<?php get_sidebar(); ?></div>	
		</div><!-- end content left -->
		<div id="content_right">
			<div id="maincontent">
			<div id="maintext">
			
				<div id="content">
				
				<?php 
				if(!is_front_page()){
					include_once (TEMPLATEPATH . '/title.php');
				}
				?>				
				
				<?php if ( function_exists('yoast_breadcrumb')) {
				yoast_breadcrumb('<div id="breadcrumbs">','</div>');
					} 
				?>
				
						<?php $values = get_post_custom_values("category-include"); $cat=$values[0];  ?>
						<?php global $more;	$more = 0;?>
						<?php $strinclude = $cat;?>
						<?php $catinclude = 'category_name=' . $strinclude ;?>
						<?php query_posts('&' . $catinclude .' &paged='.$paged); ?>
						<?php
						/* Since we called the_post() above, we need to
						 * rewind the loop back to the beginning that way
						 * we can run the loop properly, in full.
						 */
						rewind_posts();
					
						/* Run the loop for the archives page to output the posts.
						 * If you want to overload this in a child theme then include a file
						 * called loop-archives.php and that will be used instead.
						 */
						get_template_part( 'loop', 'archive' );
						?>
						<?php wp_reset_query();?>
						
		</div><!-- end content -->
						</div><!-- end maintext -->
					</div><!-- end maincontent -->
				</div><!-- end content right -->
				<div class="clr"></div><!-- clear float left -->
				

<?php get_footer(); ?>
