<?php
/**
 * Template Name: Portfolio
 *
 * A custom page template for portfolio page.
 *
 * The "Template Name:" bit above allows this to be selectable
 * from a dropdown menu on the edit page screen.
 *
 * @package WordPress
 * @subpackage Classic Theme
 * @since Classic Theme 1.0
 */

get_header(); ?>

			
		<div id="content_left">
			<div id="navigation">
					<?php include_once(TEMPLATEPATH . '/menu.php'); ?>						
			</div><!-- end navigation -->
			<div id="sidebar">	<?php get_sidebar(); ?></div>	
		</div><!-- end content left -->
		<div id="content_right">
			<div id="maincontent">
			<div id="maintext">
			
	<div id="content">
			<?php include_once (TEMPLATEPATH . '/title.php');?>
			
			<?php if ( function_exists('yoast_breadcrumb') && !is_front_page() ) {
			yoast_breadcrumb('<div id="breadcrumbs">','</div>');
			} ?>
			
			<?php the_content(); ?>
			
			<?php $values = get_post_custom_values("category-include"); $cat=$values[0];  ?>
			<?php global $more;	$more = 0;?>
			<?php $catinclude = 'portfoliocat='.$cat;?>
			<?php query_posts('&' . $catinclude .' &paged='.$paged.'&showposts=6'); ?>
			
<?php if ( ! have_posts() ) : ?>
	<div id="post-0" class="post error404 not-found">
		<h1 class="entry-title"><?php _e( 'Not Found', 'templatesquare' ); ?></h1>
		<div class="entry-content">
			<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'templatesquare' ); ?></p>
			<?php get_search_form(); ?>
		</div><!-- .entry-content -->
	</div><!-- #post-0 -->
<?php endif; ?>
		<div id="gallery">
		<ul class="portfolio">
		<?php 
		$i=1;
		if ( have_posts() ) while ( have_posts() ) : the_post(); 
		if(($i%2) == 0){ $addclass = "nomargin";	}	
		?>
		
		
		<?php
			$custom = get_post_custom($post->ID);
			$cf_thumb = $custom["thumb"][0];
			$cf_lightbox = $custom["lightbox"][0];
			
			if($cf_thumb!=""){
				$cf_thumb = "<img src='" . $cf_thumb . "' alt=''  width='270' height='130' />"; 
			}
		?>
		
			<li class="<?php echo $addclass; ?>">
			<h2>
			<?php the_title(); ?>
			</a>
			</h2>
			<?php if($cf_lightbox!=""){ ?>
				<a class="image" href="<?php echo $cf_lightbox;?>" rel="prettyPhoto[mixed]" title="<?php the_title();?>">
				<?php if($cf_thumb!=""){ echo $cf_thumb; }else{ the_post_thumbnail( 'portfolio-post-thumbnail' );} ?>
				</a>
			<?php }else{ ?>
				<a href="<?php the_permalink() ?>" title="<?php _e('Permanent Link to', 'templatesquare');?> <?php the_title_attribute(); ?>" >
				<?php if($cf_thumb!=""){ echo $cf_thumb; }else{ the_post_thumbnail( 'portfolio-post-thumbnail' );} ?>
				</a>
			<?php } ?>
			</li>
		
	
		<?php $i++; $addclass = ""; endwhile; ?>
		</ul>
		<div class="clr">&nbsp;</div>
		</div>
		
		<?php if (  $wp_query->max_num_pages > 1 ) : ?>
	
			 <?php if(function_exists('wp_pagenavi')) { ?>
				 <?php wp_pagenavi(); ?>
			 <?php }else{ ?>
		<div id="nav-below" class="navigation nav2">
			<div class="nav-previous"><?php next_posts_link( __( '<span class="prev"><span class="meta-nav">&laquo;</span> Prev</span>', 'templatesquare' ) ); ?></div>
			<div class="nav-next"><?php previous_posts_link( __( '<span class="prev">Next <span class="meta-nav">&raquo;</span></span>', 'templatesquare' ) ); ?></div>
		</div><!-- #nav-below -->
			<?php }?>
		<?php endif; ?>
		<?php wp_reset_query();?>
			<br class="clr" />
		
		</div><!-- end content -->
						</div><!-- end maintext -->
					</div><!-- end maincontent -->
				</div><!-- end content right -->
				<div class="clr"></div><!-- clear float left -->


<?php get_footer(); ?>
